##NOTE Push to core AND nonfree with:
# $ mgarepo submit sdcc --define section=core/release
# $ mgarepo submit sdcc --define section=nonfree/release
%define docsnap 20160726-9667
%define snap	20160801-9697
%define vcs	%{expand:%(echo "%{snap}" | cut -d- -f2)}
%define rel	1
%define nonfree 0
%if "%distro_section" == "nonfree"
%define nonfree 1
%endif

Name:		sdcc
Version:	3.6.2
Release:	%mkrel -c vcs%{vcs} %{rel}
Summary:	Small Device C Compiler
Group:		Development/Other
License:	GPLv2 GPLv3 GPLv2+LE
URL:		http://sdcc.sourceforge.net/
Source0:	http://sourceforge.net/projects/%{name}/files/%{name}/%{version}/%{name}-src-%{snap}.tar.bz2
Source1:	http://sourceforge.net/projects/%{name}/files/snapshot_builds/docs/%{name}-doc-%{docsnap}.tar.bz2

Patch0:		sdcc-3.4.0-mga-pic14devices.txt.patch
Patch1:		sdcc-3.5.0-mga-format_security-macro.c.patch

BuildRequires:	bison
BuildRequires:	boost-devel
BuildRequires:	flex
BuildRequires:	gputils
BuildRequires:	libgc-devel
BuildRequires:	texinfo

Obsoletes:	%{name}-doc < 3.4
Obsoletes:	%{name}2.9 < 3.0

Requires:	gputils
Conflicts:	sdcc2.9 < %{version}

%description
SDCC is a retargetable, optimizing ANSI-C compiler that targets the
Intel 8051, Maxim 80DS390, Zilog Z80 and the Motorola 68HC08 based
MCUs. Work is in progress on supporting the Microchip PIC16 and
PIC18 series.
%if %{nonfree}
This package is in non-free because it includes some non-free content.
%else
A package including support for more devices is available in the non-free
repository.
%endif

%prep
%setup -q -b 1 -n %{name}
%autopatch -p1

%build
%configure2_5x \
	--disable-doc  \
	--enable-libgc \
%if %{nonfree}
	--enable-non-free
%else
	--disable-non-free
%endif	
	
%make_build

%install
%make_install
rm -f %{buildroot}%{_includedir}/*
rm -f %{buildroot}%{_libdir}/*
rm -rf %{buildroot}%{_docdir}/*
mkdir %{buildroot}%{_docdir}/%{name}
cp -rf ../doc/* %{buildroot}%{_docdir}/%{name}/
find %{buildroot} -name INSTALL.txt -delete
# bfd.info.xz is provided by binutils
rm -rf %{buildroot}%{_infodir}/

%files
%doc %{_docdir}/%{name}/
%{_bindir}/*
%{_datadir}/%{name}/


%changelog
* Tue Aug 02 2016 barjac <barjac> 3.6.2-0.vcs9697.1.mga6
+ Revision: 1044248
- new version/snapshot
- no longer needs boost-1.60 patch
- remove conflicting binutils info file
- remove libiberty patch merged upstream

* Sun Feb 07 2016 barjac <barjac> 3.5.0-2.vcs9496.1.mga6.nonfree
+ Revision: 942321
- new snapshot
- fix build for boost-1.60
-new snapshot
- new buildrequire texinfo
- patched format security error

* Fri Sep 25 2015 barjac <barjac> 3.5.0-2.mga6.nonfree
+ Revision: 883585
- rebuild for boost-1.59

* Mon Aug 17 2015 barjac <barjac> 3.5.0-1.mga6.nonfree
+ Revision: 865399
- Dont try to build docs, use upstream pre-built docs tarball
- remove BRs related to doc build
- new version 3.5
- patched to fix mga#16565 - sdcc fails to link pic16f1704/8 code

* Wed Oct 15 2014 umeabot <umeabot> 3.4.0-7.mga5.nonfree
+ Revision: 739236
- Second Mageia 5 Mass Rebuild

* Mon Aug 18 2014 barjac <barjac> 3.4.0-6.mga5.nonfree
+ Revision: 665254
- obsolete sdcc2.9

* Mon Aug 18 2014 barjac <barjac> 3.4.0-5.mga5
+ Revision: 665088
- dont relocate binaries
- remove README.Mageia

* Sat Aug 16 2014 barjac <barjac> 3.4.0-4.mga5.nonfree
+ Revision: 663115
- use launch scripts not symlinks

* Thu Aug 07 2014 barjac <barjac> 3.4.0-2.mga5.nonfree
+ Revision: 660887
- use %%mgarel macro

* Thu Aug 07 2014 barjac <barjac> 3.4.0-1.mga5.nonfree
+ Revision: 660604
- new version sdcc-3.4.0
- patch for MGA#13841 sdcc security issue CVE-2012-3509
- remove -doc package introduced to work around build issue in previous version
- changed build requires
- some binaries have generic names so all have been  symlinked with sdcc- prefix
- added README.Mageia to explain above change
- added all licenses of various components
- add conditional nonfree build
- new version sdcc-3.4.0
- patch for MGA#13841 sdcc security issue CVE-2012-3509
- added README.Mageia to explain above change

* Fri Oct 18 2013 umeabot <umeabot> 3.3.0-2.mga4
+ Revision: 518310
- Mageia 4 Mass Rebuild

  + barjac <barjac>
    - new version with split -doc package
    - fixes mga#11065
    - removed un-needed build requires
    - added doc tarball from upstream

  + fwang <fwang>
    - add gs as br

* Mon Jan 14 2013 umeabot <umeabot> 3.2.0-5.mga3
+ Revision: 381921
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 17 2012 bertl <bertl> 3.2.0-4.mga3
+ Revision: 332111
- updated to 3.2.0-svn

* Tue Feb 21 2012 bertl <bertl> 3.1.0-5.mga2
+ Revision: 211681
- extended gccbug workaround to 4.6.x
- added --enable-new-pics to build enhanced cores libraries
- updated to 3.1.0

* Thu May 12 2011 tmb <tmb> 3.0.2-1.mga1
+ Revision: 97637
- update to 3.0.2 (Herbert Poetzl)
- pic16f72x support added (Herbert Poetzl)

* Sun May 01 2011 tmb <tmb> 3.0.0-4.mga1
+ Revision: 94077
- disable parallel make as it breaks the build
- spec cleanup
- bump rel to support upgrade from mdv

  + spuhler <spuhler>
    - changed rel to 1 from 3
    - imported package sdcc


* Sun Dec 26 2010 Jani Välimaa <wally@mandriva.org> 3.0.0-3mdv2011.0
+ Revision: 625251
- conflict with sdcc2.9

* Sun Dec 26 2010 Jani Välimaa <wally@mandriva.org> 3.0.0-2mdv2011.0
+ Revision: 625213
- remove old source
- add old build options back
- enable parallel build

* Fri Nov 05 2010 Thomas Spuhler <tspuhler@mandriva.org> 3.0.0-1mdv2011.0
+ Revision: 593611
- updated  for 3.0.0
- added source for 3.0.0
- added fix-build-on-mandriva.patch for 3.0.0
- increased rel to 6 for rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Fri Apr 18 2008 Giuseppe Ghibò <ghibo@mandriva.com> 2.8.0-4mdv2009.0
+ Revision: 195717
- Fix permission for binaries.

* Sat Apr 12 2008 Giuseppe Ghibò <ghibo@mandriva.com> 2.8.0-3mdv2009.0
+ Revision: 192616
- Added python to BuildRequires.
- Release 2.8.0.
- Build PDF and HTML documentation
- Merge docs into main package.

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - fix summary-ended-with-dot

* Fri Oct 19 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 2.7.0.20071018.4933-1mdv2008.1
+ Revision: 100482
- Added missing BuildRequires to flex.
- Fixed Group tag.
- First package.
- Created package structure for sdcc.

